Форум русскоязычного сообщества Ubuntu


Автор Тема: Wire-desktop после установки обновлений не работает  (Прочитано 2421 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн АлексСм

  • Автор темы
  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
На компе стоит Ubuntu 16.04, автоматически установились обновления. После чего wire-desktop перестал открываться.Переустановка не помогла. Вот что пишет при попытки запуска из терминала: wire-desktop: /lib/i386-linux-gnu/libc.so.6: version `GLIBC_2.27' not found (required by wire-desktop) Может кто-нибудь подскажет , что можно сделать?

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
version `GLIBC_2.27' not found
А вывод команды dpkg --list | grep libc6что по этому поводу говорит? Если молчит в тряпочку, то попробуйте доустановить этот пакет: sudo apt update && sudo apt install libc6
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

Оффлайн Ezhik55

  • Новичок
  • *
  • Сообщений: 29
    • Просмотр профиля
sudo apt update && sudo apt install libc6
И результата никакого не дает.

Вот что в итоге:
Цитировать
Получено 33,5 MБ за 3мин 59с (140 kБ/c)                                       
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Может быть обновлено 3 пакета. Запустите «apt list --upgradable» для их показа.
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлен пакет libc6 самой новой версии (2.23-0ubuntu10).
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 3 пакетов не обновлено.
desktop:~$ wire
/snap/wire/21/opt/Wire/wire-desktop: /lib/i386-linux-gnu/libc.so.6: version `GLIBC_2.27' not found (required by /snap/wire/21/opt/Wire/wire-desktop)

Неужели никто не пользуется и починка никак никому не актуальна? 

alang

  • Гость
Неужели никто не пользуется и починка никак никому не актуальна

Чинится переустановкой/обновлением системы до 18.04.


Оффлайн Ezhik55

  • Новичок
  • *
  • Сообщений: 29
    • Просмотр профиля
переустановкой/обновлением системы
Это понятно, что лучшее средство от головной боли - гильотина... 
Сейчас нет ни времени, ни трафика на такие радикальные ремонты, хотелось что-то восстановить на имеющемся материале.

Как вариант пробую браузерную версию: https://app.wire.com/auth/#login
Писать можно, но звук проблемный, огромное опоздание.

Оффлайн zg_nico

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 3511
  • Nil mortalibus arduum est
    • Просмотр профиля
snap
Меня вот это сильно смущает. Ezhik55, Вы бы поискали версию, которая не snap для данной программулины. snap убежал впереди паровоза, похоже, - вот и ищет библиотеку версии 2.7 на системе, где установлена версия 2.23. По идее, надо искать ту версию этой самой wire-desktop, которая зависит от имеющиейся в наличии версии библиотеки, ставить ее, и "холдить".
Thunderobot G150-D2: Intel SkyLake Core i7-6700HQ 2.60GHz, 8Gb DDR4 2133 MHz, Intel HD530, NVidia GeForce GTX 960M 2Gb.  Ubuntu 16.04 64x [Unity], KUbuntu 18.04 64x.

alang

  • Гость
лучшее средство от головной боли - гильотина... 

Сам ты гильотина. В 16.04 glibc 2.27 не было, нет и никогда не будет.


snap убежал впереди паровоза

Совершенно верно. Обновился сам wire, и новая версия требует новую версию glibc.

Оффлайн Ezhik55

  • Новичок
  • *
  • Сообщений: 29
    • Просмотр профиля
По идее, надо искать ту версию этой самой wire-desktop, которая зависит от имеющиейся в наличии версии библиотеки
Как я понимаю, в этом не будет никакого смысла, она окажется нерабочей. Пара слов о предыстории событий:
Ранее у меня стояла старая версия, поставленная еще из файла-дистрибутива самостоятельно. Где-то в декабре прошлого года она перестала соединяться с сервером (программа открывается, но далее никаких действий нет). После этого я поставил другую версию уже из репозитария. Причем, она почему-то уже называлась просто wire, а не wire-desktop и установилась параллельно без удаления предыдущей.
Сегодня эта старая версия тоже запускалась, но оставалась нерабочей, а более новая явно обновилась уже и перестала запускаться совсем.
По сути смысл понятен: назад дороги нет... Жаль только, что нет никакого предупреждения на этот счет или запрета на такое обновление в рамках старой системы ведущее в тупик.


Сам ты гильотина. В 16.04 glibc 2.27 не было, нет и никогда не будет.
Off-top. Всегда удивляли форумы IT-шников... Почему-то свои узкопрофильные знания они воспринимают как безусловное право сразу хамить всем вокруг по любому поводу.
Задумайтесь, жизнь существовала до вас и до ПК и порой была тоже интересной...   

В любом случае, всем - спасибо!

alang

  • Гость
Задумайтесь, жизнь существовала до вас и до ПК и порой была тоже интересной...

Это ты, типа, что-то умное сказал? Оставь свои банальные сентенции для девочек вконтактике.
Меня умиляют новички, которые считают, что могут молоть чушь только на том основании, что ничего не понимают. В 18.04 glibc как раз версии 2.27, так что это не гильотина, а решение проблемы. Придумаешь другое решение - не забудь рассказать.

Оффлайн F12

  • Старожил
  • *
  • Сообщений: 2328
    • Просмотр профиля
Ezhik55, Вы бы поискали версию, которая не snap для данной программулины.

- что там искать, все предельно просто https://github.com/wireapp/wire-desktop/wiki/How-to-install-Wire-for-Desktop-on-Linux


в этом не будет никакого смысла, она окажется нерабочей

Дабы этого не случилось, пользуйся AppImage сборкой, ибо девиз этого формата "все своё ношу с собой", разумеется речь не о духовном, как у  Цицерона ::)

Пользователь добавил сообщение 05 Май 2019, 20:31:24:
ЗЫЖ https://wire.com/en/download/ промто кликнуть мышом на Details
« Последнее редактирование: 05 Май 2019, 20:31:24 от F12 »

 

Страница сгенерирована за 0.198 секунд. Запросов: 24.